VisibilityPortalAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.VisibilityPortalAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor
Class VisibilityPortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.monitor.VisibilityPortalAction

    public class VisibilityPortalAction

extends ResourceController

A `BaseDispatchAction` that sets up common monitor portals.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`VisibilityPortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `chartMultiMetricSingleResource(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Chart multiple metrics for a single resource.
`org.apache.struts.action.ActionForward` | `chartSingleMetricMultiResource(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Chart a single metric for a multiple resources.
`org.apache.struts.action.ActionForward` | `chartSingleMetricSingleResource(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Chart a single metric for a single resource.
`org.apache.struts.action.ActionForward` | `compareMetrics(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `configureVisibility(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editRange(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`org.apache.struts.action.ActionForward` | `metricMetadata(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` This sets the return path for a ResourceAction by appending the type and resource id to the forward url.

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### VisibilityPortalAction

    public VisibilityPortalAction()

Method Detail

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Description copied from class: `BaseDispatchAction`
  Provides the mapping from resource key to method name

  Overrides:
    `getKeyMethodMap` in class `BaseDispatchAction`
  Returns:
    Resource key / method name map

### editRange

    public org.apache.struts.action.ActionForward editRange(org.apache.struts.action.ActionMapping mapping,
                                                            org.apache.struts.action.ActionForm form,
                                                            javax.servlet.http.HttpServletRequest request,
                                                            javax.servlet.http.HttpServletResponse response)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### configureVisibility

    public org.apache.struts.action.ActionForward configureVisibility(org.apache.struts.action.ActionMapping mapping,
                                                                      org.apache.struts.action.ActionForm form,
                                                                      javax.servlet.http.HttpServletRequest request,
                                                                      javax.servlet.http.HttpServletResponse response)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### chartSingleMetricSingleResource

    public org.apache.struts.action.ActionForward chartSingleMetricSingleResource(org.apache.struts.action.ActionMapping mapping,
                                                                                  org.apache.struts.action.ActionForm form,
                                                                                  javax.servlet.http.HttpServletRequest request,
                                                                                  javax.servlet.http.HttpServletResponse response)
                                                                           throws java.lang.Exception

  Chart a single metric for a single resource.

  Throws:
    `java.lang.Exception`

### chartSingleMetricMultiResource

    public org.apache.struts.action.ActionForward chartSingleMetricMultiResource(org.apache.struts.action.ActionMapping mapping,
                                                                                 org.apache.struts.action.ActionForm form,
                                                                                 javax.servlet.http.HttpServletRequest request,
                                                                                 javax.servlet.http.HttpServletResponse response)
                                                                          throws java.lang.Exception

  Chart a single metric for a multiple resources.

  Throws:
    `java.lang.Exception`

### chartMultiMetricSingleResource

    public org.apache.struts.action.ActionForward chartMultiMetricSingleResource(org.apache.struts.action.ActionMapping mapping,
                                                                                 org.apache.struts.action.ActionForm form,
                                                                                 javax.servlet.http.HttpServletRequest request,
                                                                                 javax.servlet.http.HttpServletResponse response)
                                                                          throws java.lang.Exception

  Chart multiple metrics for a single resource.

  Throws:
    `java.lang.Exception`

### metricMetadata

    public org.apache.struts.action.ActionForward metricMetadata(org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 javax.servlet.http.HttpServletRequest request,
                                                                 javax.servlet.http.HttpServletResponse response)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### compareMetrics

    public org.apache.struts.action.ActionForward compareMetrics(org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 javax.servlet.http.HttpServletRequest request,
                                                                 javax.servlet.http.HttpServletResponse response)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping,
                                 java.util.Map params)
                          throws java.lang.Exception

  This sets the return path for a ResourceAction by appending the type and resource id to the forward url.

  Overrides:
    `setReturnPath` in class `ResourceController`
  Parameters:
    `request` - The current controller's request.
    `mapping` - The current controller's mapping that contains the input.
    `params` - A Map of request parameters to add to the return path.
  Throws:
    `ParameterNotFoundException` - if the type or id are not found
    `javax.servlet.ServletException` - If there is not input defined for this form
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.